Doomsday Engine - Feature #1758

Separate left/right modifier keys (Shift, Alt, etc.)
2014-04-18 07:53 - skyjake

Status: New Start date: 2014-04-18
Priority: Low % Done: 0%
Assignee: skyjake

Category: Enhancement

Target version: 3.0

Description

If the left and right modifier keys would be detected separately, this could allow more fine-grained key bindings. Useful for instance
with split-screen multiplayer using a single keyboard.

Related issues:

Related to Feature #1229: Input plugins: generate events from connected contr... Rejected 2003-07-09
Related to Feature #1886: Use SDL 2 for window management, display modes, col... In Progress  2014-10-20
Has duplicate Feature #2417: Is it possible to separate left and right shift ... Closed 2020-03-10
History

#1 - 2017-07-11 19:13 - skyjake

- Related to Feature #1886: Use SDL 2 for window management, display modes, color correction, and keyboard/mouse/gamepad input added

#2 - 2019-11-29 12:37 - skyjake
- Assignee set to skyjake

- Target version set to 3.0

#3 - 2020-03-14 07:57 - skyjake
- Has duplicate Feature #2417: Is it possible to separate left and right shift to separate control bindings? added
